const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const beds = sequelize.define(
    'beds',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

code: {
        type: DataTypes.TEXT,

      },

is_bunk: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

is_lower: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

is_active: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  beds.associate = (db) => {

    db.beds.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.beds.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return beds;
};

